#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: idris
version: 1.2.0
id: idris-1.2.0-CTRHg3Huzh34RCEKi62fbA
key: idris-1.2.0-CTRHg3Huzh34RCEKi62fbA
license: BSD-3-Clause
maintainer: Edwin Brady <eb@cs.st-andrews.ac.uk>
author: Edwin Brady
stability: Beta
homepage: http://www.idris-lang.org/
synopsis: Functional Programming Language with Dependent Types
description:
    Idris is a general purpose language with full dependent types.
    It is compiled, with eager evaluation.
    Dependent types allow types to be predicated on values,
    meaning that some aspects of a program'\''s behaviour can be
    specified precisely in the type. The language is closely
    related to Epigram and Agda. There is a tutorial at
    <http://www.idris-lang.org/documentation>.
    Features include:
    .
    * Full, first class, dependent types with dependent pattern matching
    .
    * where clauses, with rule, case expressions,
    pattern matching let and lambda bindings
    .
    * Interfaces (similar to type classes), monad comprehensions
    .
    * do notation, idiom brackets, syntactic conveniences for lists,
    tuples, dependent pairs
    .
    * Totality checking
    .
    * Coinductive types
    .
    * Indentation significant syntax, extensible syntax
    .
    * Cumulative universes
    .
    * Simple foreign function interface (to C)
    .
    * Hugs style interactive environment
category: Compilers/Interpreters, Dependent Types
abi: ae61e2908a9e5b813aa379aa46a42c56
exposed: True
exposed-modules:
    IRTS.Bytecode IRTS.CodegenC IRTS.CodegenCommon
    IRTS.CodegenJavaScript IRTS.Compiler IRTS.Defunctionalise
    IRTS.DumpBC IRTS.Exports IRTS.Inliner IRTS.JavaScript.AST
    IRTS.JavaScript.Codegen IRTS.JavaScript.LangTransforms
    IRTS.JavaScript.Name IRTS.JavaScript.PrimOp
    IRTS.JavaScript.Specialize IRTS.Lang IRTS.LangOpts IRTS.Portable
    IRTS.Simplified IRTS.System Idris.ASTUtils Idris.AbsSyntax
    Idris.AbsSyntaxTree Idris.Apropos Idris.CaseSplit Idris.Chaser
    Idris.CmdOptions Idris.Colours Idris.Completion Idris.Core.Binary
    Idris.Core.CaseTree Idris.Core.Constraints Idris.Core.DeepSeq
    Idris.Core.Elaborate Idris.Core.Evaluate Idris.Core.Execute
    Idris.Core.ProofState Idris.Core.ProofTerm Idris.Core.TT
    Idris.Core.Typecheck Idris.Core.Unify Idris.Core.WHNF
    Idris.Coverage Idris.DSL Idris.DataOpts Idris.DeepSeq
    Idris.Delaborate Idris.Directives Idris.Docs Idris.Docstrings
    Idris.Elab.AsPat Idris.Elab.Clause Idris.Elab.Data
    Idris.Elab.Implementation Idris.Elab.Interface Idris.Elab.Provider
    Idris.Elab.Quasiquote Idris.Elab.Record Idris.Elab.Rewrite
    Idris.Elab.RunElab Idris.Elab.Term Idris.Elab.Transform
    Idris.Elab.Type Idris.Elab.Utils Idris.Elab.Value Idris.ElabDecls
    Idris.Erasure Idris.ErrReverse Idris.Error Idris.Help Idris.IBC
    Idris.IdeMode Idris.IdrisDoc Idris.Imports Idris.Info
    Idris.Info.Show Idris.Inliner Idris.Interactive Idris.Main
    Idris.ModeCommon Idris.Options Idris.Output Idris.Package
    Idris.Package.Common Idris.Package.Parser Idris.Parser
    Idris.Parser.Data Idris.Parser.Expr Idris.Parser.Helpers
    Idris.Parser.Ops Idris.Parser.Stack Idris.PartialEval
    Idris.Primitives Idris.ProofSearch Idris.Prover Idris.Providers
    Idris.REPL Idris.REPL.Browse Idris.REPL.Commands Idris.REPL.Parser
    Idris.Reflection Idris.Termination Idris.Transforms
    Idris.TypeSearch Idris.Unlit Idris.WhoCalls Util.DynamicLinker
    Util.ScreenSize Util.System
hidden-modules: Util.Pretty Util.Net Paths_idris Version_idris
                Tools_idris BuildFlags_idris
import-dirs: /usr/lib/ghc-8.4.2/site-local/idris-1.2.0
library-dirs: /usr/lib/ghc-8.4.2/site-local/idris-1.2.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/idris
hs-libraries: HSidris-1.2.0-CTRHg3Huzh34RCEKi62fbA
extra-libraries:
    gmp
depends:
    base-4.11.1.0 aeson-1.3.1.1-dcIxm637We4CZtEjnOqrp
    annotated-wl-pprint-0.7.0-5EJhaPPvnKODWMqVOHKqvI
    ansi-terminal-0.8.0.4-CvDyNcwxO3756EDj7fON2h
    ansi-wl-pprint-0.6.8.2-5VjUR5zrHF4ICjKXehuybH array-0.5.2.0
    base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37 binary-0.8.5.1
    blaze-html-0.9.0.1-GE6MVgSdj1NIDsAcI8SbsY
    blaze-markup-0.8.2.1-FFkiru1HsegAfMrnqJMDug bytestring-0.10.8.2
    cheapskate-0.1.1-1ePJs2eIKr7FF72BfSCWPu
    code-page-0.1.3-78bf3rlibAi1l7KbTfbq3V containers-0.5.11.0
    deepseq-1.4.3.0 directory-1.3.1.5 filepath-1.4.2
    fingertree-0.1.4.1-B1l4jnJvLPvJMb3uoEmkfc haskeline-0.7.4.2
    ieee754-0.8.0-KmEF4YGiqmIDu40b1SLx46
    megaparsec-6.5.0-KshcL0TrVJwElYRJu6K0iv mtl-2.2.2
    network-2.6.3.5-3iG8FzHVTj33yRWcu7gfSt
    optparse-applicative-0.14.2.0-62exsxKF348IVCVPqReofC pretty-1.1.3.6
    process-1.6.3.0 regex-tdfa-1.2.3-1e6W0u5rRmsDEmJafeJHae
    safe-0.3.17-HEmZRpXGD3s2ywM3rHJ1ur
    split-0.2.3.3-Ai2RfO3v9Qt6hbFzlVeRv6
    terminal-size-0.3.2.1-KN6K6Ef1GMWIEqS2qb6D5y text-1.2.3.0
    time-1.8.0.2 transformers-0.5.5.0
    uniplate-1.6.12-EWozKD7q3uBF5LIEB3DnzX
    unordered-containers-0.2.9.0-A3KBTFupd4vFLOQxsI6884
    utf8-string-1.0.1.1-LRSjvSC6FZkKPp48Qszoj8
    vector-0.12.0.1-4awQG9XUvVEBfJgKGHBhOb
    vector-binary-instances-0.2.4-6LbavzkTZ8MLoB9ju5D48j
    zip-archive-0.3.2.4-C4idxnaifBrGP4mwxEtdBv
    fsnotify-0.2.1.1-AkbOIo6eLZLHcE3mqU7d4W
    async-2.2.1-B6m2kYywRJu7nicgTBxsJe unix-2.7.2.2
    libffi-0.1-KciznLKKFMTLZ0dw70VJSt
abi-depends: base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             aeson-1.3.1.1-dcIxm637We4CZtEjnOqrp=6f34fa436c981af2b0589cc66168565f
             annotated-wl-pprint-0.7.0-5EJhaPPvnKODWMqVOHKqvI=db836935fecb8b8f1c87aaa649583d2a
             ansi-terminal-0.8.0.4-CvDyNcwxO3756EDj7fON2h=d29a802384bc8c994c84a39efa43ccae
             ansi-wl-pprint-0.6.8.2-5VjUR5zrHF4ICjKXehuybH=acacaf200daa6a34897880ee2dd48291
             array-0.5.2.0=59560c027ff6ea5b7e467a38c579b575
             base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37=7722d2d1f9adcb92b317b3a43d084a70
             binary-0.8.5.1=253349ae905e3b03d89d37316bf920b7
             blaze-html-0.9.0.1-GE6MVgSdj1NIDsAcI8SbsY=962e8d2161f35068fcc031ff6a6bdfd0
             blaze-markup-0.8.2.1-FFkiru1HsegAfMrnqJMDug=def93a85bb7baaa629d1f7cd155b869c
             bytestring-0.10.8.2=c1695cedf0cebf0c12d34c90fb94a65f
             cheapskate-0.1.1-1ePJs2eIKr7FF72BfSCWPu=5e1918267db91d04163e82a736ff24dd
             code-page-0.1.3-78bf3rlibAi1l7KbTfbq3V=8dc56bf9fbfce8923ed3b68ebcced201
             containers-0.5.11.0=f8334bacfaf0e925ca7b24fb26fb2e66
             deepseq-1.4.3.0=521dff49867cc7581bb7066827d3f18e
             directory-1.3.1.5=c4ddb2059d4b7fed7d39b1d1bb3bf41d
             filepath-1.4.2=a70b79acbde9ca897bdc5eadf9254ba7
             fingertree-0.1.4.1-B1l4jnJvLPvJMb3uoEmkfc=45f3449a71c8eec7698c9bb51dbe2dc7
             haskeline-0.7.4.2=ec686e7ab772bce48c95f1a97928cce3
             ieee754-0.8.0-KmEF4YGiqmIDu40b1SLx46=98210f859dac7c4b08e8836715fc2cef
             megaparsec-6.5.0-KshcL0TrVJwElYRJu6K0iv=ee214a69c5c2c84303f5338bebffbad1
             mtl-2.2.2=a7bec7c72de63625528e8aa4479db2c8
             network-2.6.3.5-3iG8FzHVTj33yRWcu7gfSt=d1eb7c9f9a3a0cc5a7f6358d4fbd8f71
             optparse-applicative-0.14.2.0-62exsxKF348IVCVPqReofC=2081310a648400eda979d50e9a2f1447
             pretty-1.1.3.6=003e48b94caa84f26c31da01b81a0320
             process-1.6.3.0=f742183dfb18804fd4a4a0e3c09be01d
             regex-tdfa-1.2.3-1e6W0u5rRmsDEmJafeJHae=0f757e6977aca47897bf4bd5e919fe11
             safe-0.3.17-HEmZRpXGD3s2ywM3rHJ1ur=d2ef3bd64cc0add20d4d6b5dc73939f8
             split-0.2.3.3-Ai2RfO3v9Qt6hbFzlVeRv6=552edb5fe3e96de6d9599ba4b8c78476
             terminal-size-0.3.2.1-KN6K6Ef1GMWIEqS2qb6D5y=c7e01dd3dc9b6063f4f560b8fdeddf80
             text-1.2.3.0=5654b56910ce698015ec900075c28f62
             time-1.8.0.2=f5b6d28c2b89a17d60f5dfeda767abd0
             transformers-0.5.5.0=02be5c4dc3fdc926cf1b36bd484a25f8
             uniplate-1.6.12-EWozKD7q3uBF5LIEB3DnzX=af607856fd2684554a4c26370b1b5751
             unordered-containers-0.2.9.0-A3KBTFupd4vFLOQxsI6884=c76b79dc8a56ff4425c082d0052b04f4
             utf8-string-1.0.1.1-LRSjvSC6FZkKPp48Qszoj8=98c3aed4d9f965690ee596928a6a8eec
             vector-0.12.0.1-4awQG9XUvVEBfJgKGHBhOb=6eab66b6328cb1f1f60a88d42282d4d0
             vector-binary-instances-0.2.4-6LbavzkTZ8MLoB9ju5D48j=d73014723391beb9af52a0ffc0407d14
             zip-archive-0.3.2.4-C4idxnaifBrGP4mwxEtdBv=282db733857d29fef3f5d1d64cc953c6
             fsnotify-0.2.1.1-AkbOIo6eLZLHcE3mqU7d4W=6d292ca1c0f126e98432ca7279dc8a5e
             async-2.2.1-B6m2kYywRJu7nicgTBxsJe=c9f0ee1873901d5683a7b150cb14a209
             unix-2.7.2.2=52cd75b8c492339f1bc16a6e08d9b9d7
             libffi-0.1-KciznLKKFMTLZ0dw70VJSt=2e071b3d7e1768dc71ce2b5f44c51a99
haddock-interfaces: /usr/share/doc/idris/html/idris.haddock
haddock-html: /usr/share/doc/idris/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

